com.google.cloud.dataflow.sdk.options

## Interface PipelineOptionsRegistrar

All Known Implementing Classes:
  DataflowPipelineRegistrar.Options, DirectPipelineRegistrar.Options, InProcessRegistrar.InProcessOptions

    public interface PipelineOptionsRegistrar

`PipelineOptions` creators have the ability to automatically have their `PipelineOptions` registered with this SDK by creating a `ServiceLoader` entry and a concrete implementation of this interface.

Note that automatic registration of any `PipelineOptions` requires users conform to the limitations discussed on `PipelineOptionsFactory.register(Class)`.

It is optional but recommended to use one of the many build time tools such as `AutoService` to generate the necessary META-INF files automatically.

### Method Summary

All Methods Instance Methods Abstract Methods
`Iterable<Class<? extends PipelineOptions>>` `getPipelineOptions()`

### Method Detail

#### getPipelineOptions

    Iterable<Class<? extends PipelineOptions>> getPipelineOptions()